--------------------------------------------------------------------------------
-- |
-- Module      :  Graphics.Rendering.OpenGL.GL.Shaders
-- Copyright   :  (c) Sven Panne 2002-2018
-- License     :  BSD3
--
-- Maintainer  :  Sven Panne <svenpanne@gmail.com>
-- Stability   :  stable
-- Portability :  portable
--
-- This module corresponds to section 7 (Programs and Shaders) of the OpenGL 4.4
-- specs.
--
--------------------------------------------------------------------------------

module Graphics.Rendering.OpenGL.GL.Shaders (
   module Graphics.Rendering.OpenGL.GL.Shaders.ShaderObjects,
   module Graphics.Rendering.OpenGL.GL.Shaders.ShaderBinaries,
   module Graphics.Rendering.OpenGL.GL.Shaders.ProgramObjects,
   module Graphics.Rendering.OpenGL.GL.Shaders.ProgramBinaries,
   module Graphics.Rendering.OpenGL.GL.Shaders.Attribs,
   module Graphics.Rendering.OpenGL.GL.Shaders.Uniform,
   module Graphics.Rendering.OpenGL.GL.Shaders.Limits
) where

import Graphics.Rendering.OpenGL.GL.Shaders.ShaderObjects
import Graphics.Rendering.OpenGL.GL.Shaders.ShaderBinaries
import Graphics.Rendering.OpenGL.GL.Shaders.ProgramObjects
import Graphics.Rendering.OpenGL.GL.Shaders.ProgramBinaries
import Graphics.Rendering.OpenGL.GL.Shaders.Attribs
import Graphics.Rendering.OpenGL.GL.Shaders.Uniform
import Graphics.Rendering.OpenGL.GL.Shaders.Limits
